## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.5

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# AVT Class Reference

Class to hold an Attribute Value Template. More...

`#include <AVT.hpp>`

Collaboration diagram for AVT:

[legend]
List of all members.

## Public Types

- typedef size_t size_type

## Public Methods

- AVT (StylesheetConstructionContext &constructionContext, const LocatorType *locator, const XalanDOMChar *name, const XalanDOMChar *stringedValue, const PrefixResolver &resolver)
    Construct an Attribute Value Template(AVT) by parsing the string, and either constructing a vector of AVTParts, or simply hold on to the string if the AVT is simple. More...
- virtual ~AVT ()
- const XalanDOMString& getName () const
    Retrieve the name of the Attribute Value Template. More...
- void evaluate (XalanDOMString &buf, XalanNode *contextNode, const PrefixResolver &prefixResolver, XPathExecutionContext &executionContext) const
    Append the value to the buffer. More...
- void evaluate (XalanDOMString &buf, const PrefixResolver &prefixResolver, XPathExecutionContext &executionContext) const
    Append the value to the buffer. More...

## Detailed Description

Class to hold an Attribute Value Template.

## Member Typedef Documentation

typedef size_t AVT::size_type

## Constructor & Destructor Documentation

AVT::AVT ( | StylesheetConstructionContext & constructionContext,
| const LocatorType * locator,
| const XalanDOMChar * name,
| const XalanDOMChar * stringedValue,
| const PrefixResolver & resolver )

  | Construct an Attribute Value Template(AVT) by parsing the string, and either constructing a vector of AVTParts, or simply hold on to the string if the AVT is simple. Parameters:
  constructionContext | context for construction of AVT
  locator | the Locator for the AVT. May be null.
  name | name of AVT
  stringedValue | string value to parse
  resolver | resolver for namespace resolution

AVT::~AVT ( | )`[virtual]`

## Member Function Documentation

void AVT::evaluate ( | XalanDOMString & buf,
| const PrefixResolver & prefixResolver,
| XPathExecutionContext & executionContext ) const

  | Append the value to the buffer. Parameters:
  buf | buffer to write into
  prefixResolver | prefix resolver to use
  executionContext | execution context

void AVT::evaluate ( | XalanDOMString & buf,
| XalanNode * contextNode,
| const PrefixResolver & prefixResolver,
| XPathExecutionContext & executionContext ) const

  | Append the value to the buffer. Parameters:
  buf | buffer to write into
  contextNode | current context node
  prefixResolver | prefix resolver to use
  executionContext | execution context

const XalanDOMString & AVT::getName ( | ) const

| Retrieve the name of the Attribute Value Template. Returns: name of AVT

The documentation for this class was generated from the following file:

- AVT.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.5 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.